<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<script type="text/javascript">
/* 주소창의 전체 주소 */
document.write(location.href + "<br/>")

/* url에서 #로 표기하는 부분 
 * http://localhost:8082/frontdemo/jsdemo/script_037_location.html#hash
 */
document.write(location.hash + "<br/>")

document.write(location.hostname + "<br/>")

document.write(location.protocol + "<br/>")

/* url에서 ?로 표기하는 부분. querystring
 * http://localhost:8082/frontdemo/jsdemo/script_037_location.html?foo=1
 */
document.write(location.search + "<br/>")
</script>
</head>
<body>
</body>
</html>